input[type='email'], input[type='number'], input[type='password'], input[type='search'], input[type='tel'], input[type='text'], input[type='url'], textarea, select {
    padding: 2rem 1rem;
}
/* COLORES */
.button, button, input[type='button'], input[type='reset'], input[type='submit'] {
    background-color: #5287d6;
    border-color: #5287d6;
}
input[type="text"]:focus, 
input[type='email']:focus, 
input[type="password"]:focus, 
input[type="url"]:focus, textarea:focus, select:focus {
	border: 0.1rem solid #5287d6;
	outline: 0;
}

/* FIN COLORES */

body {
	background-color: fff;
}

.contenedor-html{
	height: 100%;
}

.center {
	text-align: center;
}

.row{
	width: auto;
}

.contenedor_recovery{
	display: flex;
	align-items: center;
	flex-direction: column;
}

.content_flex{
	display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.message-box {
	border-left: 3px solid;
	margin-left: 3px;
}
.message-box.success {
    border-color: #098609;
    background: #d8efdc;
    padding: 10px;
    margin-bottom: 20px;
}
.message-box.warning {
    border-color: #e5e825;
    background: #f2ff85;
    padding: 0 10px;
}
.message-box.error {
	border-color: #ff0000;
	background: #f3dcdc;
}
.message-box > p {
	font-size: 1.35rem;
}
.login-box  {
	background-color: #fff;
}

.login-box > .login-header > .logo {
	width: 100%; 
	margin: auto;
	padding-bottom: 10px
}
.login-box > .login-header > h3 {
	/* margin-bottom: 1.5rem; */
	margin-bottom: 1.0rem;
}

.middle {
    position: relative;
    justify-content: center;
}

label {
	font-weight: 500;
}
::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
	color: #aaa;
	font-weight: 200;
	opacity: 1; /* Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
	color: #ccc;
}

::-ms-input-placeholder { /* Microsoft Edge */
	color: #ccc;
}
.middle > .login-box {
	position: fixed;
    border: 1px solid #ddd;
    /*	border-radius: 8px; */
	bottom: 0;   
    top: 0;
    /* left: 0; */
    right: 0;	
    /*
	--- orgininal ---
    left: auto;
	right: 0;
	margin-right: -50%; 
    transform: translate(50%, 30%);
	--- orgininal ---
	*/
    max-width: 500px;
    padding: 30px 30px 0 30px;
    /* 
	--- orgininal ---
	margin-left: auto;
    margin-right: auto;
	--- orgininal ---
	*/
}

#password, .password {
	margin-right:-2em;
}
.bottom-login {
	display: flex;
    align-items: center;
	justify-content: space-between;
}

.bottom-login a {
	width: 60%;
}
.bottom-reset > button {
	float: right
}
button.action {
	margin-top: 10px;
	color: white;
}
.verify {
	width: 30%;
	float: right;
	vertical-align: middle;
}
.verify-mail {
	height: 2.5em;
	text-align: left;
	font-weight: bold;
	float: left;
	margin-top: 0.5em;
}

/* OJO */
.eye{
	width:1.25em;
	height:0.75em;
	position:relative;
	display:inline-block;
	--background:#aaa;
	--color:currentColor;
}
.eye div{
	overflow:hidden;
	height:50%;
	position:relative;
	margin-bottom:-1px;
}
.eye div:before{
	content:'';
	background:currentColor;
	position:absolute;
	left:0;
	right:0;
	height:300%;
	border-radius:100%;
}
.eye div:last-child:before{
	bottom:0;
}
.eye:before{
	content:'';
	position:absolute;
	top:50%;
	left:50%;
	transform:translate(-50%, -50%);
	width:0.35em;
	height:0.35em;
	background:var(--color);
	border:0.1em solid var(--background);
	border-radius:100%;
	z-index:1;
}
.eye:after{
	content:'';
	position:absolute;
	top:-0.15em;
	left:calc(33.333% - 0.15em);
	transform:rotate(45deg) scaleX(0);
	transform-origin:left center;
	width:90%;
	height:0.1em;
	background:var(--color);
	border-top:0.1em solid var(--background);
	z-index:2;
	transition:transform 0.25s;
}
.eye.slash:after{
	transform:rotate(45deg) scaleX(1);
}

.login-box .logout-link {
    float: right;
    margin-bottom: 16px;
}

/*
--- orgininal ---
input:invalid {
	border-color: red;
}
--- orgininal ---
*/

input[data-special='1']:empty {
	border-color: red;
}

/* FIN OJO */
@media only screen and (min-device-width: 360px) and (max-device-width: 736px) {     
    /* 
    --- orgininal ---	
    .middle > .login-box {
        transform: translate(0,0);
        margin-top: 10px;
        border: none;
        padding: 10px 10px 0 10px;
    }
    .middle > .login-box {
        transform: inherit;
        margin-top: 10px;
        border: none;
        padding: 10px 10px 0 10px;
		max-width: inherit; 
  		margin-right: auto; 
    }
    --- orgininal ---
	*/
	.row {
		margin-right: -15px;
	   /* margin-left: 0px;  */
	}

	#content{
		display: flex;
		align-items: center;
		justify-content: center;
	}

}

@media only screen and (min-device-width: 500px) and (max-device-width: 640px) {
	.middle > .login-box {
	max-width: inherit;
	}
	.container{
        width: inherit;
	}
}

@media (max-width: 640px){
    .middle > .login-box {
        max-width: inherit;
    }
    .container{
        width: inherit;
    }
}

@media only screen and (min-device-height: 0px) and (max-device-height: 564px) {
    .contenedor-html{
		height: inherit;
    }

}

@media only screen and (min-height: 0px) and (max-height: 564px) {
    .contenedor-html{
		height: inherit;
    }

}

@media only screen and (min-device-width: 736px) {
    body {
        /*
		--- orgininal ---
		background-color: #c1dcf3;
        background-image: linear-gradient(90deg, transparent 50%, rgba(255,255,255,.5) 50%);
        background-size: 50px 50px;
        background-color: #c1dcf138;
        background-size: 50px 50px;
		--- orgininal ---
		*/
		background-image: url("https://portal.secf.unca.edu.ar/idp/module.php/arai/assets/img/unca.jpg");
        background-position: center center;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-size: cover;
        background-color: #66999;
    }

}

@media only screen and (max-device-width: 640px) {
}

@media only screen and (min-width: 1024px) {
}

@media only screen and (max-width: 1023px) {
}

@media only screen and (min-width: 1400px) {
}

@media only screen and (min-width: 1500px) {
}
